<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcMechanicsSystem Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcMechanicsSystem Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcMechanicsSystem" --><!-- doxytag: inherits="iBase" -->
<p>Property class representing a dynamic system.  
 <a href="structiPcMechanicsSystem.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="mechsys_8h_source.html">propclass/mechsys.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcMechanicsSystem:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcMechanicsSystem.png" usemap="#iPcMechanicsSystem_map" alt=""/>
  <map id="iPcMechanicsSystem_map" name="iPcMechanicsSystem_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,132,24"/>
</map>
 </div></div>

<p><a href="structiPcMechanicsSystem-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#aa6605fe85b17a3967f2c7ffd188d156c">AddBodyToGroup</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> *body, const char *group)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a body to the specified group.  <a href="#aa6605fe85b17a3967f2c7ffd188d156c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#aa0a4c67c06729a0e2c7efdbe0f5b6624">AddForceDuration</a> (<a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *pcobject, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;force, bool relative, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;position, float seconds)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">During the specified time (in milliseconds) add the force every step to the given body.  <a href="#aa0a4c67c06729a0e2c7efdbe0f5b6624"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a6cd6eb8ef8fa95c17a08d307640e6197">AddForceFrame</a> (<a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *pcobject, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;force, bool relative, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;position)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">During the next frame add the force every step.  <a href="#a6cd6eb8ef8fa95c17a08d307640e6197"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#ab8146239599f913a887f1a91ceb9c69c">AddForceTagged</a> (<a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *pcobject, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;force, bool relative, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;position, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> forceid)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a force with the given tag, to be manually removed later.  <a href="#ab8146239599f913a887f1a91ceb9c69c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#aea34586e2f75402735d8762609dedf34">ClearAllForces</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear all forces.  <a href="#aea34586e2f75402735d8762609dedf34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a66e846da993f6f45ca5822da3f22b8cd">ClearForces</a> (<a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *pcobject)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove the given body from the force queues (filled with <a class="el" href="structiPcMechanicsSystem.html#a6cd6eb8ef8fa95c17a08d307640e6197" title="During the next frame add the force every step.">AddForceFrame()</a> and <a class="el" href="structiPcMechanicsSystem.html#aa0a4c67c06729a0e2c7efdbe0f5b6624" title="During the specified time (in milliseconds) add the force every step to the given body...">AddForceDuration()</a>).  <a href="#a66e846da993f6f45ca5822da3f22b8cd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a26331bf3719aec973d12542e68228a28">CreateBody</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> and add it to the system.  <a href="#a26331bf3719aec973d12542e68228a28"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiJoint.html">iJoint</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a681e216fcd4ea94756079db991fb08b2">CreateJoint</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> *body1, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> *body2)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a joint between the two given bodies.  <a href="#a681e216fcd4ea94756079db991fb08b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a183bef0750f4ec65218e4565dff5170e">DisableStepFast</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable fast stepping.  <a href="#a183bef0750f4ec65218e4565dff5170e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a703f048c76bcaa5b96b1a1c90e498977">EnableQuickStep</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Very fast but not accurate.  <a href="#a703f048c76bcaa5b96b1a1c90e498977"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a9592bca8e4a970bfa751c4c2268f8bbb">EnableStepFast</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable fast stepping.  <a href="#a9592bca8e4a970bfa751c4c2268f8bbb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDynamicSystem.html">iDynamicSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#aa39c48c25494ae1944d0e13cf478a12d">GetDynamicSystem</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the dynamic system.  <a href="#aa39c48c25494ae1944d0e13cf478a12d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a382b478e07493d8213b8c1ed20686c59">GetGravity</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current gravity.  <a href="#a382b478e07493d8213b8c1ed20686c59"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a83fe7bf00d4863deadf2ca2c1619e21c">GetSimulationSpeed</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current simulation speed.  <a href="#a83fe7bf00d4863deadf2ca2c1619e21c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a866e3a73d01886da9b542d6f952fa4a7">GetStepTime</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current step time.  <a href="#a866e3a73d01886da9b542d6f952fa4a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a227506631a4037a021da79c954317544">RemoveBody</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> *body)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a given <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> from the system.  <a href="#a227506631a4037a021da79c954317544"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#adc134ad0279deaeee795cba8e4c0a9ed">RemoveBodyFromGroup</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> *body, const char *group)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a body from the specified group.  <a href="#adc134ad0279deaeee795cba8e4c0a9ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a02269b5ef7612e4696b2670f87cec808">RemoveForceTagged</a> (<a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *pcobject, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> forceid)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove the force with the given tag.  <a href="#a02269b5ef7612e4696b2670f87cec808"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a7d89886a80aecd759309b39fb57f5d0b">RemoveJoint</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiJoint.html">iJoint</a> *joint)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a given joint from the system.  <a href="#a7d89886a80aecd759309b39fb57f5d0b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a0800838f9f24bc76e228c0ea7ae3d8e2">SetDynamicSystem</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDynamicSystem.html">iDynamicSystem</a> *dynsys)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the dynamic system.  <a href="#a0800838f9f24bc76e228c0ea7ae3d8e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a582e666ad59cc47d134572fdc55b820f">SetDynamicSystem</a> (const char *dynsysname)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the dynamic system.  <a href="#a582e666ad59cc47d134572fdc55b820f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a3f57b714c19eadb805dbf997bfb26adf">SetGravity</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;grav)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define the gravity for the system.  <a href="#a3f57b714c19eadb805dbf997bfb26adf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a52253434ae32186614f40c7bbd34c7b9">SetSimulationSpeed</a> (float simulationspeed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define the how fast we want the simulation to go.  <a href="#a52253434ae32186614f40c7bbd34c7b9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsSystem.html#a9d565faebb30ab13361bcc7550e3ca54">SetStepTime</a> (float delta)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define the time we want for one step.  <a href="#a9d565faebb30ab13361bcc7550e3ca54"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Property class representing a dynamic system. </p>
<p>This property class supports the following actions (add prefix 'cel.mechanics.system.action.' if you want to access this action through a message):</p>
<ul>
<li>SetSystem: parameters 'dynsys' (string).</li>
<li>SetGravity: parameters 'gravity' (float).</li>
<li>SetStepTime: parameters 'time' (float).</li>
<li>QuickStep: no parameters.</li>
<li>EnableStepFast: no parameters.</li>
<li>DisableStepFast: no parameters. </li>
</ul>

<p>Definition at line <a class="el" href="mechsys_8h_source.html#l00052">52</a> of file <a class="el" href="mechsys_8h_source.html">mechsys.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa6605fe85b17a3967f2c7ffd188d156c"></a><!-- doxytag: member="iPcMechanicsSystem::AddBodyToGroup" ref="aa6605fe85b17a3967f2c7ffd188d156c" args="(iRigidBody *body, const char *group)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#aa6605fe85b17a3967f2c7ffd188d156c">iPcMechanicsSystem::AddBodyToGroup</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> *&#160;</td>
          <td class="paramname"><em>body</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>group</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a body to the specified group. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">body</td><td>the body to add to the group. </td></tr>
    <tr><td class="paramname">group</td><td>the name of the group to add the body to. Creates the group if it does not exist. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa0a4c67c06729a0e2c7efdbe0f5b6624"></a><!-- doxytag: member="iPcMechanicsSystem::AddForceDuration" ref="aa0a4c67c06729a0e2c7efdbe0f5b6624" args="(iPcMechanicsObject *pcobject, const csVector3 &amp;force, bool relative, const csVector3 &amp;position, float seconds)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#aa0a4c67c06729a0e2c7efdbe0f5b6624">iPcMechanicsSystem::AddForceDuration</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *&#160;</td>
          <td class="paramname"><em>pcobject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>force</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>relative</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>seconds</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>During the specified time (in milliseconds) add the force every step to the given body. </p>
<p>This function is called by <a class="el" href="structiPcMechanicsObject.html#a987034c0080e19c27efcf2e79711a13f" title="During the specified time (in seconds) add the force every step.">iPcMechanicsObject::AddForceDuration()</a>. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pcobject</td><td>a pointer to the object that will receive this force every step until the end of the given time. </td></tr>
    <tr><td class="paramname">force</td><td>a vector representing the force to add to this object. </td></tr>
    <tr><td class="paramname">relative</td><td>if set to true, the given force and position are both in object space; otherwise they are in world space. </td></tr>
    <tr><td class="paramname">position</td><td>the position of the force. </td></tr>
    <tr><td class="paramname">seconds</td><td>the number of seconds that this force should last. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6cd6eb8ef8fa95c17a08d307640e6197"></a><!-- doxytag: member="iPcMechanicsSystem::AddForceFrame" ref="a6cd6eb8ef8fa95c17a08d307640e6197" args="(iPcMechanicsObject *pcobject, const csVector3 &amp;force, bool relative, const csVector3 &amp;position)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a6cd6eb8ef8fa95c17a08d307640e6197">iPcMechanicsSystem::AddForceFrame</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *&#160;</td>
          <td class="paramname"><em>pcobject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>force</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>relative</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>During the next frame add the force every step. </p>
<p>This function is called by <a class="el" href="structiPcMechanicsObject.html#a505a7b3411ce412437519a67f9aa9039" title="During the next frame add the force every step.">iPcMechanicsObject::AddForceFrame()</a>. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pcobject</td><td>a pointer to the object that will receive this force every step until the end of the frame. </td></tr>
    <tr><td class="paramname">force</td><td>a vector representing the force to add to this object. </td></tr>
    <tr><td class="paramname">relative</td><td>if set to true, the given force and position are both in object space; otherwise they are in world space. </td></tr>
    <tr><td class="paramname">position</td><td>the position of the force. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab8146239599f913a887f1a91ceb9c69c"></a><!-- doxytag: member="iPcMechanicsSystem::AddForceTagged" ref="ab8146239599f913a887f1a91ceb9c69c" args="(iPcMechanicsObject *pcobject, const csVector3 &amp;force, bool relative, const csVector3 &amp;position, uint32 forceid)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#ab8146239599f913a887f1a91ceb9c69c">iPcMechanicsSystem::AddForceTagged</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *&#160;</td>
          <td class="paramname"><em>pcobject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>force</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>relative</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a>&#160;</td>
          <td class="paramname"><em>forceid</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a force with the given tag, to be manually removed later. </p>
<p>This function is called by <a class="el" href="structiPcMechanicsObject.html#aac6a269629cf3e9b2991bea5b2e44e7f" title="Add a force with the given tag, to be manually removed later.">iPcMechanicsObject::AddForceTagged()</a>. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pcobject</td><td>a pointer to the object that will receive this force every step until it is removed. </td></tr>
    <tr><td class="paramname">force</td><td>a vector representing the force to add to this object. </td></tr>
    <tr><td class="paramname">relative</td><td>if set to true, the given force and position are both in object space; otherwise they are in world space. </td></tr>
    <tr><td class="paramname">position</td><td>the position of the force. </td></tr>
    <tr><td class="paramname">forceid</td><td>the tag for this force. (use <a class="el" href="structiCelPlLayer.html#a15665b412868c19a954f99557993d2e5" title="Retreive the unique ID associated with this string or create a new ID if needed.">iCelPlLayer::FetchStringID()</a> to get this.) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aea34586e2f75402735d8762609dedf34"></a><!-- doxytag: member="iPcMechanicsSystem::ClearAllForces" ref="aea34586e2f75402735d8762609dedf34" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#aea34586e2f75402735d8762609dedf34">iPcMechanicsSystem::ClearAllForces</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear all forces. </p>

</div>
</div>
<a class="anchor" id="a66e846da993f6f45ca5822da3f22b8cd"></a><!-- doxytag: member="iPcMechanicsSystem::ClearForces" ref="a66e846da993f6f45ca5822da3f22b8cd" args="(iPcMechanicsObject *pcobject)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a66e846da993f6f45ca5822da3f22b8cd">iPcMechanicsSystem::ClearForces</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *&#160;</td>
          <td class="paramname"><em>pcobject</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove the given body from the force queues (filled with <a class="el" href="structiPcMechanicsSystem.html#a6cd6eb8ef8fa95c17a08d307640e6197" title="During the next frame add the force every step.">AddForceFrame()</a> and <a class="el" href="structiPcMechanicsSystem.html#aa0a4c67c06729a0e2c7efdbe0f5b6624" title="During the specified time (in milliseconds) add the force every step to the given body...">AddForceDuration()</a>). </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pcobject</td><td>a pointer to the <a class="el" href="structiPcMechanicsObject.html" title="A dynamic body.">iPcMechanicsObject</a> to remove all forces from. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a26331bf3719aec973d12542e68228a28"></a><!-- doxytag: member="iPcMechanicsSystem::CreateBody" ref="a26331bf3719aec973d12542e68228a28" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt;<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a>&gt; <a class="el" href="structiPcMechanicsSystem.html#a26331bf3719aec973d12542e68228a28">iPcMechanicsSystem::CreateBody</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create an <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> and add it to the system. </p>

</div>
</div>
<a class="anchor" id="a681e216fcd4ea94756079db991fb08b2"></a><!-- doxytag: member="iPcMechanicsSystem::CreateJoint" ref="a681e216fcd4ea94756079db991fb08b2" args="(iRigidBody *body1, iRigidBody *body2)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiJoint.html">iJoint</a>* <a class="el" href="structiPcMechanicsSystem.html#a681e216fcd4ea94756079db991fb08b2">iPcMechanicsSystem::CreateJoint</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> *&#160;</td>
          <td class="paramname"><em>body1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> *&#160;</td>
          <td class="paramname"><em>body2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a joint between the two given bodies. </p>

</div>
</div>
<a class="anchor" id="a183bef0750f4ec65218e4565dff5170e"></a><!-- doxytag: member="iPcMechanicsSystem::DisableStepFast" ref="a183bef0750f4ec65218e4565dff5170e" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a183bef0750f4ec65218e4565dff5170e">iPcMechanicsSystem::DisableStepFast</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Disable fast stepping. </p>
<p>This is very accurate but can quickly break with lots of objects. </p>

</div>
</div>
<a class="anchor" id="a703f048c76bcaa5b96b1a1c90e498977"></a><!-- doxytag: member="iPcMechanicsSystem::EnableQuickStep" ref="a703f048c76bcaa5b96b1a1c90e498977" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a703f048c76bcaa5b96b1a1c90e498977">iPcMechanicsSystem::EnableQuickStep</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Very fast but not accurate. </p>

</div>
</div>
<a class="anchor" id="a9592bca8e4a970bfa751c4c2268f8bbb"></a><!-- doxytag: member="iPcMechanicsSystem::EnableStepFast" ref="a9592bca8e4a970bfa751c4c2268f8bbb" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a9592bca8e4a970bfa751c4c2268f8bbb">iPcMechanicsSystem::EnableStepFast</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable fast stepping. </p>
<p>This is a lot faster then <a class="el" href="structiPcMechanicsSystem.html#a183bef0750f4ec65218e4565dff5170e" title="Disable fast stepping.">DisableStepFast()</a>. Default. </p>

</div>
</div>
<a class="anchor" id="aa39c48c25494ae1944d0e13cf478a12d"></a><!-- doxytag: member="iPcMechanicsSystem::GetDynamicSystem" ref="aa39c48c25494ae1944d0e13cf478a12d" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDynamicSystem.html">iDynamicSystem</a>* <a class="el" href="structiPcMechanicsSystem.html#aa39c48c25494ae1944d0e13cf478a12d">iPcMechanicsSystem::GetDynamicSystem</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the dynamic system. </p>

</div>
</div>
<a class="anchor" id="a382b478e07493d8213b8c1ed20686c59"></a><!-- doxytag: member="iPcMechanicsSystem::GetGravity" ref="a382b478e07493d8213b8c1ed20686c59" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="structiPcMechanicsSystem.html#a382b478e07493d8213b8c1ed20686c59">iPcMechanicsSystem::GetGravity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current gravity. </p>

</div>
</div>
<a class="anchor" id="a83fe7bf00d4863deadf2ca2c1619e21c"></a><!-- doxytag: member="iPcMechanicsSystem::GetSimulationSpeed" ref="a83fe7bf00d4863deadf2ca2c1619e21c" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsSystem.html#a83fe7bf00d4863deadf2ca2c1619e21c">iPcMechanicsSystem::GetSimulationSpeed</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current simulation speed. </p>

</div>
</div>
<a class="anchor" id="a866e3a73d01886da9b542d6f952fa4a7"></a><!-- doxytag: member="iPcMechanicsSystem::GetStepTime" ref="a866e3a73d01886da9b542d6f952fa4a7" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsSystem.html#a866e3a73d01886da9b542d6f952fa4a7">iPcMechanicsSystem::GetStepTime</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current step time. </p>

</div>
</div>
<a class="anchor" id="a227506631a4037a021da79c954317544"></a><!-- doxytag: member="iPcMechanicsSystem::RemoveBody" ref="a227506631a4037a021da79c954317544" args="(iRigidBody *body)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a227506631a4037a021da79c954317544">iPcMechanicsSystem::RemoveBody</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> *&#160;</td>
          <td class="paramname"><em>body</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a given <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> from the system. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">body</td><td>the body to remove from the system. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adc134ad0279deaeee795cba8e4c0a9ed"></a><!-- doxytag: member="iPcMechanicsSystem::RemoveBodyFromGroup" ref="adc134ad0279deaeee795cba8e4c0a9ed" args="(iRigidBody *body, const char *group)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#adc134ad0279deaeee795cba8e4c0a9ed">iPcMechanicsSystem::RemoveBodyFromGroup</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> *&#160;</td>
          <td class="paramname"><em>body</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>group</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a body from the specified group. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">body</td><td>the body to remove from the group. </td></tr>
    <tr><td class="paramname">group</td><td>the name of the group to remove the body from. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a02269b5ef7612e4696b2670f87cec808"></a><!-- doxytag: member="iPcMechanicsSystem::RemoveForceTagged" ref="a02269b5ef7612e4696b2670f87cec808" args="(iPcMechanicsObject *pcobject, uint32 forceid)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a02269b5ef7612e4696b2670f87cec808">iPcMechanicsSystem::RemoveForceTagged</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *&#160;</td>
          <td class="paramname"><em>pcobject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a>&#160;</td>
          <td class="paramname"><em>forceid</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove the force with the given tag. </p>
<p>This function is called by <a class="el" href="structiPcMechanicsObject.html#a3664c1104a818b889eea2c343c868a8c" title="Remove the force with the given tag.">iPcMechanicsObject::RemoveForceTagged()</a>. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pcobject</td><td>a pointer to the object that is currently being affected by the given force. </td></tr>
    <tr><td class="paramname">forceid</td><td>the tag of the desired force. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7d89886a80aecd759309b39fb57f5d0b"></a><!-- doxytag: member="iPcMechanicsSystem::RemoveJoint" ref="a7d89886a80aecd759309b39fb57f5d0b" args="(iJoint *joint)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a7d89886a80aecd759309b39fb57f5d0b">iPcMechanicsSystem::RemoveJoint</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiJoint.html">iJoint</a> *&#160;</td>
          <td class="paramname"><em>joint</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a given joint from the system. </p>

</div>
</div>
<a class="anchor" id="a0800838f9f24bc76e228c0ea7ae3d8e2"></a><!-- doxytag: member="iPcMechanicsSystem::SetDynamicSystem" ref="a0800838f9f24bc76e228c0ea7ae3d8e2" args="(iDynamicSystem *dynsys)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a0800838f9f24bc76e228c0ea7ae3d8e2">iPcMechanicsSystem::SetDynamicSystem</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDynamicSystem.html">iDynamicSystem</a> *&#160;</td>
          <td class="paramname"><em>dynsys</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the dynamic system. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">dynsys</td><td>a pointer to the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDynamicSystem.html">iDynamicSystem</a> that this <a class="el" href="structiPcMechanicsSystem.html" title="Property class representing a dynamic system.">iPcMechanicsSystem</a> represents. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a582e666ad59cc47d134572fdc55b820f"></a><!-- doxytag: member="iPcMechanicsSystem::SetDynamicSystem" ref="a582e666ad59cc47d134572fdc55b820f" args="(const char *dynsysname)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a0800838f9f24bc76e228c0ea7ae3d8e2">iPcMechanicsSystem::SetDynamicSystem</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>dynsysname</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the dynamic system. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">dynsysname</td><td>the name of the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDynamicSystem.html">iDynamicSystem</a> that this <a class="el" href="structiPcMechanicsSystem.html" title="Property class representing a dynamic system.">iPcMechanicsSystem</a> represents. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3f57b714c19eadb805dbf997bfb26adf"></a><!-- doxytag: member="iPcMechanicsSystem::SetGravity" ref="a3f57b714c19eadb805dbf997bfb26adf" args="(const csVector3 &amp;grav)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a3f57b714c19eadb805dbf997bfb26adf">iPcMechanicsSystem::SetGravity</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>grav</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Define the gravity for the system. </p>
<p>By default this is (0,-9.8,0). </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">grav</td><td>a vector representing the force of gravity for this system. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a52253434ae32186614f40c7bbd34c7b9"></a><!-- doxytag: member="iPcMechanicsSystem::SetSimulationSpeed" ref="a52253434ae32186614f40c7bbd34c7b9" args="(float simulationspeed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a52253434ae32186614f40c7bbd34c7b9">iPcMechanicsSystem::SetSimulationSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>simulationspeed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Define the how fast we want the simulation to go. </p>
<p>Default is 1.0. Less is slower, more is faster </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">dsimulationspeed</td><td>factor of speed. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9d565faebb30ab13361bcc7550e3ca54"></a><!-- doxytag: member="iPcMechanicsSystem::SetStepTime" ref="a9d565faebb30ab13361bcc7550e3ca54" args="(float delta)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsSystem.html#a9d565faebb30ab13361bcc7550e3ca54">iPcMechanicsSystem::SetStepTime</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>delta</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Define the time we want for one step. </p>
<p>By default this is 0.01 milliseconds. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">delta</td><td>the time (in milliseconds) that one step represents. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="mechsys_8h_source.html">mechsys.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
